hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ben McCann (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10026) Upgrade to Jackson 2
Date Mon, 07 Oct 2013 17:39:48 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10026?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13788335#comment-13788335
] 

Ben McCann commented on HADOOP-10026:
-------------------------------------

Ok, I've attached a new patch that starts from the root directory.

There should be little risk with this as the only code change is basically just a package
rename of a few imports. I'm not sure we want to stay on old versions of dependencies forever
only to avoid changing things. The new version is much better maintained and this seems like
a pretty safe time to do it since hadoop-openstack isn't even shipping yet. I don't understand
the last question about the minimum version of jackson needed for the new API. Jackson is
used only internally and not by any API. It includes Jackson 2.2.3 by default, but I suppose
if someone wanted (and I don't know why they would) they could replace that with any version
down to 2.0.0. You can include both Jackson 1.x and 2.x in a project if you want since they
are different packages.

> Upgrade to Jackson 2
> --------------------
>
>                 Key: HADOOP-10026
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10026
>             Project: Hadoop Common
>          Issue Type: Task
>            Reporter: Ben McCann
>         Attachments: hadoop-tools-openstack-jackson.patch
>
>
> I'd like to see Hadoop upgrade to Jackson 2. This is a change that should be able to
be made to each Hadoop project one at a time, so I've attached a patch for the first and will
follow up with others if this one is committed.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message